#include <gint/display.h>
#include <gint/keyboard.h>
#include <libprof.h>

void draw() {
	extern bopti_image_t img_battlefield1;
	extern bopti_image_t img_battlefield2;
	extern bopti_image_t img_battlefield3;
	extern bopti_image_t img_bullet3_2;

	prof_t prof = prof_make();
	prof_enter(prof);

	dclear(C_BLACK);
	// dimage(0, 0, &img_battlefield1);
	// dimage(0, 0, &img_battlefield2);
	dimage(0, 0, &img_battlefield3);

	for(int i = 0; i < 2000; i++) {
		dimage((i*79) % 216, (i*41) % 216, &img_bullet3_2);
	}

	prof_leave(prof);

	dprint(300, 10, C_NONE, C_NONE, "%i us", prof_time(prof));
	dprint(300, 40, C_WHITE, C_NONE, "%i us", prof_time(prof));
	dprint(300, 70, C_BLACK, C_NONE, "%i us", prof_time(prof));
	dupdate();
}

int main(void)
{
	prof_init();

	for(int i = 0; i < 100; i++) {
		draw();
	}

	getkey();

	prof_quit();

	return 1;
}
